---
layout: post
title: "Senior System Engineer, Adfinis AG, Zurich"
nicedate: Dec 2018 &ndash; Dec 2024
description: "Senior System Engineer, Adfinis AG, Zurich"
categories: [professional]
keywords: "occupation adfinis zurich linux engineering cloudnative hashicorp"
---

Senior System Engineer at [{% octicon link-external %} Adfinis AG](https://adfinis.com)

<h2>Responsibilities</h2>
<ul class="list">
<li><u>Project manager and tech lead</u> of small teams (3 to 4 people {%
octicon people %}) for multiple projects at the customer site</li>
<li><u>Vault subject matter expert (technology owner)</u>: Product
documentation, best practices, security issues, roadmap &amp; service
development, coordination &amp; communication with vendor and Adfinis
teams</li>
<li>Operations, incident management, on-call and technical support</li>
<li>Pre-sales (offers &amp; estimations) and solution architecture support</li>
</ul>

<h2>Activities</h2>
<ul class="list">
<li><u>Automation and secrets management projects</u> (e.g., GitLab, Vault):
Requirements engineering, architecture &amp; design, self-service, client
integrations in various {% octicon cloud %} environments (hybrid cloud,
on-prem, AWS, Azure, Google, etc.), platforms (VM, Kubernetes, OpenShift) and
industries with <u>DevOps methodology</u> (e.g., GitOps and CI/CD)</li>
<li>Build and introduce MaxScale and MariaDB {% octicon database %} <u>database
architecture</u> on RHEL at Swiss telco</li>
<li>Architecture &amp; design, development and operations of a computing
platform for a Swiss school {% octicon mortar-board %} (Nextcloud, Collabora
Online, ProxySQL, MariaDB, Galera)</li>
<li><u>Maintenance and support for customer SLA</u> {% octicon goal %} systems
and services</li>
<li>Contributions (code, support) to various <u>upstream open source
projects</u></li>
<li><a href="{{ '/#speaking' | relative_url }}">Public talks</a> at various
meetups &amp; conferences, customer presentations, demos {% octicon gift %}, <a href="{{
'/#blogposts' | relative_url }}">blog posts</a></li>
</ul>

<h2>Products, technologies &amp; protocols</h2>
Unforgivably unstructured tag cloud {% octicon tag %} {% octicon
cloud %} ..buzzwords:
<p><pre class="tag-cloud">MariaDB, MaxScale, ProxySQL, PostgreSQL, Keepalived,
DRBD, Pacemaker/Corosync, Ansible, CloudNative, HashiCorp (Vault, Consul,
Terraform, Boundary, Nomad, Packer), Kubernetes, Velero, Cilium, CSI, CNI,
OpenShift, RHEL, Debian, Linux, Apache, Nginx, HAProxy, (mutual) TLS, Helm,
ArgoCD, YAML, Git(Lab), more YAML, Jenkins, AWS, Microsoft Azure, Google cloud,
cloudscale, Exoscale, Nine, Icinga2, Prometheus, Grafana, Mimir, Loki, (client)
certificates, cert-manager, encryption, HSM, PKI, KMS, KMIP, HYOK, BYOK, key
management &amp; brokering, Keycloak, IdP, ACME, IAM, PAM, Splunk, audit,
governance, self-service, API-first, REST, SSH, Socks, Proxy, Firewall, TOTP,
OAuth &amp; OpenID Connect, JWT, LDAP, VPN, NFS, S3, MinIO, etcd..</pre></p>
<p>{% octicon file-badge %} Technology &amp; product <a href="{{ '/#certs' |
relative_url }}">certifications</a></p>

<h2>Industries</h2>
<p>Banking, insurance, healthcare, manufacturing, transportation, wholesale,
public administration, software development, telecommunications, etc.</p>
